your php installation appears to be missing the mysql extension which is required by wordpress

your php installation appears to be missing the mysql extension which is required by wordpress

When you visit our word press site, you will see this type of error.(your php installation appears to be missing the mysql extension which is required by wordpress)

A question is rise that why this error come? And how to resolve it?

This happen that when your PHP code is not well suited with the current version of PHP which your site is currently using. If you are using any version of PHP over 7.0 might be possible you can see this error. It happened due to the old code is not updated. you should upgrade wordpress core files to the current version as well as plugin which you use in your site.

How to check that which version of PHP your site is using?

Firstly check that which PHP version of your site is using.

If you want to see that the information about your PHP server and which version you are using.

you use PHPinfo () this is a function of PHP it show you reliable information about PHP server and PHP version.

There is another function which is phpversion () it display only the information about PHP version.

In your website go to document root directory and upload PHP file using FTP client.

upload php fileopen your browser then you go to your domain.com/phpinfo.php, now you can see the version of php server on your screen.

php server version

How to resolve your php installation appears to be missing the mysql extension which is required by wordpress

Upgrade wordpress :

If you have to update your PHP version over 7.0 and still seeing this error you must upgrade your wordpress core files and plugin.

Login to your account and follow these steps:

dashboad update

Click on update button and upgrade your wordpress.

upgrade wordpress

you can see that an update is available now update wordpress and check that your problem is resolve or not.

Myqsl is installed ?

if you have to update your word press and your problem isn’t resolve then you should check that your mysql is installed and enabled or not.

If mysql is not installed then you should create an info.php file in root directory of your wordpress via FTP.

It will be look like this:

php info file

Save this file and go to browser and type https://.www.ourdomain.com/info.php . you can see a page which contains the information of your php installation.

If it is installed it shows like client api library version.

api library

If this it’s look empty then extension is not installed. Installation of steps depends on your host and system.

If your host is using cpanel then you can change the extension of mysql by clicking on select php version in your software.

 

 

 

 

 

 

 

70%OFF

Smart Sale

Hurry Up! Offer ends in
days 02 01 02
hrs 04 03 04
mins 48 47 48
secs 26 25 26
Buy Now